Bug 202998 - games/duke3d-data: Delete port, games/eduke32: Update to 20151003, General updates
Summary: games/duke3d-data: Delete port, games/eduke32: Update to 20151003, General up...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-09-09 17:16 UTC by Piotr Kubaj
Modified: 2016-01-06 16:59 UTC (History)
2 users (show)

See Also:


Attachments
games/{duke3d-data,eduke32} patch (11.22 KB, patch)
2015-09-09 17:16 UTC, Piotr Kubaj
no flags Details | Diff
corrected pkg-message.in and added MOVED entry (11.69 KB, patch)
2015-09-09 18:51 UTC, Piotr Kubaj
no flags Details | Diff
regenerated against r5375 (13.72 KB, patch)
2015-10-09 12:36 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
regenerated against r5395 (12.96 KB, patch)
2015-10-21 08:29 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
regenerated against r5434 (13.24 KB, patch)
2015-11-24 11:54 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff
updated distinfo, r5506 (13.07 KB, patch)
2016-01-05 08:13 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2015-09-09 17:16:58 UTC
Created attachment 160868 [details]
games/{duke3d-data,eduke32} patch

The diff attached:
- updates games/eduke32 to r5343,
- removes games/duke3d-data (all of its functionality is implemented in games/eduke32, the port doesn't have a maintainer and games/eduke32 is its only dependant port),
- adds option to install HRP,
- adds option to install XXX Pack.

I've verified that poudriere compiles the patched port, and portlint doesn't report any warnings or errors.


Note that the patch is relative to ${PORTSDIR}.
Comment 1 Piotr Kubaj freebsd_committer 2015-09-09 18:51:57 UTC
Created attachment 160873 [details]
corrected pkg-message.in and added MOVED entry
Comment 2 Piotr Kubaj freebsd_committer 2015-10-09 12:36:55 UTC
Created attachment 161843 [details]
regenerated against r5375
Comment 3 Piotr Kubaj freebsd_committer 2015-10-21 08:29:52 UTC
Created attachment 162276 [details]
regenerated against r5395
Comment 4 Piotr Kubaj freebsd_committer 2015-11-24 11:54:05 UTC
Created attachment 163470 [details]
regenerated against r5434
Comment 5 Thomas Zander freebsd_committer 2016-01-04 15:42:12 UTC
Incomplete distinfo when building with all options:

=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===>  Found saved configuration for eduke32-20151120
===>   eduke32-20151120 depends on file: /usr/local/sbin/pkg - found
=> duke3d_hrp.zip doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://www.duke4.org/files/nightfright/hrp/duke3d_hrp.zip
duke3d_hrp.zip                                           0  B    0  Bps
=> duke3d_xxx.zip doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://www.duke4.org/files/nightfright/duke3d_xxx.zip
duke3d_xxx.zip                                           0  B    0  Bps
=> 3dduke13.zip is not in /usr/ports/games/eduke32/distinfo.
=> Either /usr/ports/games/eduke32/distinfo is out of date, or
=> 3dduke13.zip is spelled incorrectly.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/eduke32
Comment 6 Piotr Kubaj freebsd_committer 2016-01-05 08:12:40 UTC
(In reply to Thomas Zander from comment #5)
Sorry, I've corrected distinfo and updated the patch to r5506. It seems to build fine.
Comment 7 Piotr Kubaj freebsd_committer 2016-01-05 08:13:48 UTC
Created attachment 165094 [details]
updated distinfo, r5506
Comment 8 commit-hook freebsd_committer 2016-01-06 16:01:13 UTC
A commit references this bug:

Author: riggs
Date: Wed Jan  6 16:01:00 UTC 2016
New revision: 405364
URL: https://svnweb.freebsd.org/changeset/ports/405364

Log:
  Update to upstream revision r5506, collapse games/duke3d-data info eduke

  Detailed log from submitter:
  - updates games/eduke32 to 5506,
  - removes games/duke3d-data
  - adds option to install HRP,
  - adds option to install XXX Pack.

  PR:		202998
  Submitted by:	pkubaj@anongoth.pl (maintainer)

Changes:
  head/MOVED
  head/games/Makefile
  head/games/duke3d-data/
  head/games/eduke32/Makefile
  head/games/eduke32/distinfo
  head/games/eduke32/files/patch-Makefile.common
  head/games/eduke32/files/patch-build_src_engine.c
  head/games/eduke32/files/pkg-message.in